Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::protect_fn Struct Reference
Utility

## Public Member Functions
template<typename F , requires = (std::is_bind_expression<uncvref_t<F>>())>
detail::protect< uncvref_t< F > > | operator() (F &&f) const
template<typename F , requires = (!std::is_bind_expression<uncvref_t<F>>())>
F | operator() (F &&f) const

## Member Function Documentation

## ◆ operator()()

template<typename F , requires = (!std::is_bind_expression<uncvref_t<F>>())>

F ranges::v3::protect_fn::operator() | ( | F && | f | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.